using System;
using System.Collections.Generic;
using System.Text;

namespace InABox.Core
{
    internal static class DateFunctions
    {
        public const string GROUP = "Date";

        public static void Register()
        {
            CoreExpression.RegisterFunction("Now", "Returns the current date and time.", GROUP, new string[] {}, (p, vars, c) => DateTime.Now);
            CoreExpression.RegisterFunction("Today", "Returns the current date.", GROUP, new string[] {}, (p, vars, c) => DateTime.Today);
            CoreExpression.RegisterFunction("DateTime_MinValue", "Returns the minimum value for a date and time.", GROUP, new string[] {}, (p, vars, c) => DateTime.MinValue);
        }
    }
}
